HEADER
; IDL Visual Widget Builder Resource file. Version 1
; Generated on:	09/19/2010 22:02.24
VERSION 1
END

WID_BASE_0 BASE 5 5 1065 765
REALIZE "WCT_realize"
ONPOSTCREATE "WCT_startup"
TLB
CAPTION "Mimir Software Package - Wavelength Calibration Tool (WCT) v1.7 (20091102-DPC)"
XPAD = 3
YPAD = 3
SPACE = 3
BEGIN
  base_text_window TEXT 8 676 0 0
  SCROLL
  WIDTH = 100
  HEIGHT = 2
  END
  base_exit PUSHBUTTON 949 683 83 35
  VALUE "Exit"
  ALIGNCENTER
  TOOLTIP "Click to Exit the WCT"
  ONACTIVATE "base_exit"
  END
  Step_tab TAB 10 0 1047 355
  ONTABCHANGE "New_Tab"
  BEGIN
    Summary BASE 0 0 1039 329
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Summary"
    BEGIN
      Summary_text_window TEXT 9 0 891 280
      REALIZE "summary_print"
      SCROLL
      WIDTH = 20
      HEIGHT = 1
      END
      S1_Status_base_0 BASE 519 290 413 33
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        S0_Status_Instrument_Text_Box TEXT 7 4 78 30
        NUMITEMS = 1
        ITEM "Instrum."
        WIDTH = 20
        HEIGHT = 1
        END
        S0_Status_Camera_Text_Box TEXT 93 3 50 30
        NUMITEMS = 1
        ITEM "Cam."
        WIDTH = 20
        HEIGHT = 1
        END
        S0_Status_Spec_Mode_Text_Box TEXT 148 3 92 30
        NUMITEMS = 1
        ITEM "Spec Mode"
        WIDTH = 20
        HEIGHT = 1
        END
        S0_Status_Cal_Mode_Text_Box TEXT 245 3 46 30
        NUMITEMS = 1
        ITEM "Cal."
        WIDTH = 20
        HEIGHT = 1
        END
        S0_Status_Debug_button PUSHBUTTON 295 3 65 30
        VALUE "Debug"
        ALIGNCENTER
        TOOLTIP "Click to toggle debugging information"
        ONACTIVATE "Status_Debug_Button_On"
        END
        S0_Status_Debug_Text_Box TEXT 363 4 45 30
        NUMITEMS = 1
        ITEM "Dbg."
        WIDTH = 20
        HEIGHT = 1
        END
      END
      S0_Done PUSHBUTTON 937 285 97 38
      VALUE "Next"
      ALIGNCENTER
      TOOLTIP "Clilck to move to Step 1"
      ONACTIVATE "S0_Done"
      END
    END
    Step_1 BASE 0 0 1039 329
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Step_1"
    BEGIN
      S1_Done PUSHBUTTON 925 284 97 38
      VALUE "Next"
      ALIGNCENTER
      TOOLTIP "Clilck Here to move to Step 2"
      ONACTIVATE "S1_Done"
      END
      S1_top_label LABEL 9 7 0 0
      VALUE "Step 1: Select Instrument, Camera, Spectroscopy Mode"
      ALIGNLEFT
      END
      WID_BASE_8 BASE 4 26 1016 256
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        Instrument_tab TAB 15 11 999 239
        ONTABCHANGE "S1_New_Tab"
        BEGIN
          S1_Mimir_tab BASE 0 0 991 213
          XPAD = 3
          YPAD = 3
          SPACE = 3
          CAPTION "Mimir"
          BEGIN
            WID_BASE_18 BASE 11 75 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              F5_button PUSHBUTTON -1 -1 0 0
              VALUE "F/5 - Wide Field"
              ALIGNLEFT
              TOOLTIP "Click to identify use of the F/5 wide-field camera"
              ONACTIVATE "S1_F5_On"
              END
            END
            WID_BASE_19 BASE 12 114 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              F17_button PUSHBUTTON -1 -1 0 0
              VALUE "F/17 - Narrow Field"
              ALIGNLEFT
              TOOLTIP "Click to identify use of the F/17 narrow-field camera"
              ONACTIVATE "S1_F17_On"
              END
            END
            WID_LABEL_53 LABEL 30 28 0 0
            VALUE "Camera Mode"
            ALIGNCENTER
            END
            WID_LABEL_54 LABEL 331 5 0 0
            VALUE "Spectroscopy Mode"
            ALIGNCENTER
            END
            WID_BASE_20 BASE 171 32 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              S1_JHK_Spec_On PUSHBUTTON -1 -1 0 0
              VALUE "JHK-Spec: 1.17-2.32 um"
              ALIGNLEFT
              TOOLTIP "Select Data Analysis using JHK-Spec Mode"
              ONACTIVATE "S1_JHK_Spec_On"
              END
            END
            WID_BASE_21 BASE 172 89 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              S1_K_Spec_On PUSHBUTTON -1 -1 0 0
              VALUE "K-Spec: 1.85-2.5 um"
              ALIGNLEFT
              TOOLTIP ""
              ONACTIVATE "S1_K_Spec_On"
              END
            END
            WID_BASE_22 BASE 171 61 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              S1_HK_Spec_On PUSHBUTTON -1 -1 0 0
              VALUE "HK-Spec: 1.40-2.5 um"
              ALIGNLEFT
              TOOLTIP "Selects Data Analysis using HK-Spec mode"
              ONACTIVATE "S1_HK_Spec_On"
              END
            END
            WID_BASE_23 BASE 399 88 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              S1_J_Spec_4th_On PUSHBUTTON -1 -1 0 0
              VALUE "J-Spec: 1.17-1.34 (4th Order)"
              ALIGNLEFT
              TOOLTIP "Select Data Analysis using J-Spec mode in 4th order of the LM grism"
              ONACTIVATE "S1_J_Spec_4th_On"
              END
            END
            WID_LABEL_55 LABEL 191 9 0 0
            VALUE "JHK Grism Modes"
            ALIGNCENTER
            END
            WID_LABEL_56 LABEL 433 33 81 18
            VALUE "LM Grism Modes"
            ALIGNCENTER
            END
            WID_BASE_24 BASE 400 56 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              S1_J_Spec_3rd_On PUSHBUTTON -1 -1 0 0
              VALUE "J-Spec: 1.17-1.34 (3rd Order)"
              ALIGNLEFT
              TOOLTIP "Select Data Analysis using J-Spec mode in 3rd order of the LM grism"
              ONACTIVATE "S1_J_Spec_3rd_On"
              END
            END
            WID_BASE_25 BASE 400 151 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              S1_LM_Spec_On PUSHBUTTON -1 -1 0 0
              VALUE "LM-Spec: 2.8-5.5 um"
              ALIGNLEFT
              TOOLTIP "Selects Data Analysis in the K17-Spec mode"
              ONACTIVATE "S1_LM_Spec_On"
              END
            END
            WID_LABEL_57 LABEL 626 45 88 18
            VALUE "SED Grism Modes"
            ALIGNCENTER
            END
            WID_BASE_26 BASE 637 71 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              WID_BUTTON_2 PUSHBUTTON -1 -1 0 0
              VALUE "TBD"
              ALIGNLEFT
              GRAYED
              END
            END
            WID_BASE_27 BASE 636 104 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              WID_BUTTON_4 PUSHBUTTON -1 -1 0 0
              VALUE "TBD"
              ALIGNLEFT
              GRAYED
              END
            END
            WID_BASE_28 BASE 637 136 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              WID_BUTTON_5 PUSHBUTTON -1 -1 0 0
              VALUE "TBD"
              ALIGNLEFT
              GRAYED
              END
            END
            WID_LABEL_62 LABEL 778 41 0 0
            VALUE "Slit Choice"
            ALIGNLEFT
            END
            WID_BASE_5 BASE 733 71 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              S1_Slit_1_On PUSHBUTTON -1 -1 0 0
              VALUE "S1 - Tall Narrow Slit (1.2 arcsec)"
              ALIGNLEFT
              ONACTIVATE "S1_Slit_Select_1"
              END
            END
            WID_BASE_6 BASE 734 105 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              S1_Slit_4_On PUSHBUTTON -1 -1 0 0
              VALUE "S4 - Fat-Eared (10 arcsec)"
              ALIGNLEFT
              ONACTIVATE "S1_Slit_Select_4"
              END
            END
            WID_BASE_7 BASE 733 139 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              S1_Slit_11_On PUSHBUTTON -1 -1 0 0
              VALUE "S11 - Short Narrow (0.36 arcsec)"
              ALIGNLEFT
              ONACTIVATE "S1_Slit_Select_11"
              END
            END
            WID_BASE_31 BASE 399 119 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              S1_K17_Spec_On PUSHBUTTON -1 -1 0 0
              VALUE "K17-Spec: 1.85-2.34 um"
              ALIGNLEFT
              TOOLTIP "Selects Data Analysis in the K17-Spec mode"
              ONACTIVATE "S1_K17_Spec_On"
              END
            END
            WID_BASE_32 BASE 170 146 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              S1_IZYJ_2_Spec_On PUSHBUTTON -1 -1 0 0
              VALUE "IZYJ-Spec 2nd Order: 0.80-1.274 um"
              ALIGNLEFT
              TOOLTIP "Selects Data Analysis using H17-Spec mode"
              ONACTIVATE "S1_IZYJ_2_Spec_On"
              END
            END
            WID_BASE_33 BASE 171 117 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              S1_IZYJ_1_Spec_On PUSHBUTTON -1 -1 0 0
              VALUE "IZYJ-Spec 1st Order: 1.02-1.38um"
              ALIGNLEFT
              TOOLTIP ""
              ONACTIVATE "S1_IZYJ_1_Spec_On"
              END
            END
            WID_BASE_34 BASE 211 176 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              S1_H17_Spec_On PUSHBUTTON -1 -1 0 0
              VALUE "H17-Spec: 1.52-1.97 um"
              ALIGNLEFT
              TOOLTIP "Selects Data Analysis using IZ17-Spec mode"
              ONACTIVATE "S1_H17_Spec_On"
              END
            END
            WID_BASE_35 BASE 53 177 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              S1_IZ17_Spec_On PUSHBUTTON -1 -1 0 0
              VALUE "IZ17-Spec: 0.8-1.0 um"
              ALIGNLEFT
              TOOLTIP "Selects Data Analysis using IZ17-Spec mode"
              ONACTIVATE "S1_IZ17_Spec_On"
              END
            END
          END
          S1_PRISM_tab BASE 0 0 991 213
          XPAD = 3
          YPAD = 3
          SPACE = 3
          CAPTION "PRISM"
          BEGIN
            WID_LABEL_52 LABEL 105 32 0 0
            VALUE "Spectroscopy Mode"
            ALIGNCENTER
            END
            WID_BASE_1 BASE 107 68 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              S1_PRISM_Single_On PUSHBUTTON -1 -1 0 0
              VALUE "Single Object"
              ALIGNLEFT
              TOOLTIP "Selects single object data analysis"
              ONACTIVATE "S1_PRISM_Single_On"
              END
            END
            WID_BASE_2 BASE 108 115 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              S1_PRISM_Multiple_On PUSHBUTTON -1 -1 0 0
              VALUE "Multi-Object"
              ALIGNLEFT
              GRAYED
              ONACTIVATE "S1_PRISM_Multiple_On"
              END
            END
            WID_LABEL_58 LABEL 431 30 0 0
            VALUE "Grism"
            ALIGNCENTER
            END
            WID_BASE_3 BASE 400 72 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              S1_PRISM_VPH_On PUSHBUTTON -1 -1 0 0
              VALUE "Volume Phase Holographic (VPH)"
              ALIGNLEFT
              TOOLTIP "Selects Data Analysis for the VPH grism in 1st order BVR spectroscopy mode"
              ONACTIVATE "S1_PRISM_VPH_On"
              END
            END
            WID_BASE_12 BASE 400 120 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              WID_BUTTON_7 PUSHBUTTON -1 -1 0 0
              VALUE "TBD"
              ALIGNLEFT
              GRAYED
              END
            END
            WID_LABEL_59 LABEL 731 33 0 0
            VALUE "Slit Height"
            ALIGNCENTER
            END
            WID_BASE_29 BASE 720 72 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              S1_PRISM_Short_Slit_On PUSHBUTTON -1 -1 0 0
              VALUE "Short Slit"
              ALIGNLEFT
              TOOLTIP "Select Short Slit Data Analysis - No Slit Curvature"
              ONACTIVATE "S1_PRISM_Short_Slit_On"
              END
            END
            WID_BASE_30 BASE 723 123 0 0
            COLUMNS = 1
            EXCLUSIVE
            CAPTION "IDL"
            BEGIN
              S1_PRISM_Tall_Slit_On PUSHBUTTON -1 -1 0 0
              VALUE "Tall Slit"
              ALIGNLEFT
              TOOLTIP "Select Tall Slit Data Analysis - Slit Curvature Allowed"
              ONACTIVATE "S1_PRISM_Tall_Slit_On"
              END
            END
          END
        END
      END
      S1_Status_base BASE 509 289 413 33
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        S1_Status_Instrument_Text_Box TEXT 7 1 78 30
        NUMITEMS = 1
        ITEM "Instrum."
        WIDTH = 20
        HEIGHT = 1
        END
        S1_Status_Camera_Text_Box TEXT 93 2 50 29
        NUMITEMS = 1
        ITEM "Cam."
        WIDTH = 20
        HEIGHT = 1
        END
        S1_Status_Spec_Mode_Text_Box TEXT 159 1 92 30
        NUMITEMS = 1
        ITEM "Spec Mode"
        WIDTH = 20
        HEIGHT = 1
        END
        S1_Status_Cal_Mode_Text_Box TEXT 259 1 46 30
        NUMITEMS = 1
        ITEM "Cal."
        WIDTH = 20
        HEIGHT = 1
        END
        S1_Status_Debug_button PUSHBUTTON 295 3 65 30
        VALUE "Debug"
        ALIGNCENTER
        TOOLTIP "Toggle Debug Listings"
        ONACTIVATE "Status_Debug_Button_On"
        END
        S1_Status_Debug_Text_Box TEXT 364 1 45 30
        NUMITEMS = 1
        ITEM "Dbg."
        WIDTH = 20
        HEIGHT = 1
        END
      END
    END
    Step_2 BASE 0 0 1039 329
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Step_2"
    BEGIN
      WID_LABEL_0 LABEL 15 14 0 0
      VALUE "Step 2: Select Wavelength Calibration Basis/Method"
      ALIGNLEFT
      END
      WID_BASE_11 BASE 249 95 0 0
      COLUMNS = 1
      EXCLUSIVE
      CAPTION "IDL"
      BEGIN
        S2_Argon_On PUSHBUTTON -1 -1 0 0
        VALUE "Argon Lamp Method"
        ALIGNLEFT
        TOOLTIP "This selects use of the argon lamp spectral images to recover slit curvature and dispersion equations"
        ONACTIVATE "S2_Argon_On"
        END
      END
      WID_BASE_13 BASE 248 145 0 0
      COLUMNS = 1
      EXCLUSIVE
      CAPTION "IDL"
      BEGIN
        S2_OH_On PUSHBUTTON -1 -1 0 0
        VALUE "OH Night Sky Method"
        ALIGNLEFT
        TOOLTIP "This selects use of the OH night sky lines in the spectral images to recover slit curvature and dispersion equations"
        ONACTIVATE "S2_OH_On"
        END
      END
      S2_Done PUSHBUTTON 902 272 123 49
      VALUE "Next"
      ALIGNCENTER
      TOOLTIP "Click Here to move to Step 3"
      ONACTIVATE "S2_Done"
      END
      S2_Status_base BASE 478 288 413 33
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        S2_Status_Instrument_Text_Box TEXT 7 4 78 30
        NUMITEMS = 1
        ITEM "Instrum."
        WIDTH = 20
        HEIGHT = 1
        END
        S2_Status_Camera_Text_Box TEXT 93 3 50 30
        NUMITEMS = 1
        ITEM "Cam."
        WIDTH = 20
        HEIGHT = 1
        END
        S2_Status_Spec_Mode_Text_Box TEXT 148 3 92 30
        NUMITEMS = 1
        ITEM "Spec Mode"
        WIDTH = 20
        END
        S2_Status_Cal_Mode_Text_Box TEXT 245 3 46 30
        NUMITEMS = 1
        ITEM "Cal."
        WIDTH = 20
        HEIGHT = 1
        END
        S2_Status_Debug_button PUSHBUTTON 295 3 65 30
        VALUE "Debug"
        ALIGNCENTER
        TOOLTIP "Toggles Debug Listings"
        ONACTIVATE "Status_Debug_Button_On"
        END
        S2_Status_Debug_Text_Box TEXT 363 4 45 30
        NUMITEMS = 1
        ITEM "Dbg."
        WIDTH = 20
        HEIGHT = 1
        END
      END
      WID_BASE_4 BASE 248 192 0 0
      COLUMNS = 1
      EXCLUSIVE
      CAPTION "IDL"
      BEGIN
        S2_LM_On PUSHBUTTON -1 -1 0 0
        VALUE "LM Night Sky Transmission Method"
        ALIGNLEFT
        ONACTIVATE "S2_LM_On"
        END
      END
    END
    Step_3 BASE 0 0 1039 329
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Step_3"
    BEGIN
      S3_Done PUSHBUTTON 940 279 83 40
      VALUE "Next"
      ALIGNCENTER
      TOOLTIP "Click here to move to Step 4"
      ONACTIVATE "S3_Done"
      END
      S3_label LABEL 13 8 0 0
      VALUE "Step 3: Select Image(s) to use as calibration basis"
      ALIGNLEFT
      END
      WID_BASE_14 BASE 17 224 0 0
      COLUMNS = 1
      EXCLUSIVE
      CAPTION "IDL"
      BEGIN
        S3_Single_On PUSHBUTTON -1 -1 0 0
        VALUE "Single Image"
        ALIGNLEFT
        TOOLTIP "Select this option to use one image (Argon or OH night sky) for calibration determination"
        ONACTIVATE "S3_Single_On"
        END
      END
      WID_BASE_15 BASE 179 224 0 0
      COLUMNS = 1
      EXCLUSIVE
      CAPTION "IDL"
      BEGIN
        S3_Multiple_On PUSHBUTTON -1 -1 0 0
        VALUE "Multiple Images (to coadd)"
        ALIGNLEFT
        TOOLTIP "Select this option to coadd a group of images to create the calibration image"
        ONACTIVATE "S3_Multiple_On"
        END
      END
      S3_Fetch PUSHBUTTON 420 217 152 40
      VALUE "Select Image(s)"
      ALIGNCENTER
      TOOLTIP "Select this to open the file chooser to select images"
      ONACTIVATE "S3_fetch_on"
      END
      WID_LABEL_1 LABEL 51 190 0 0
      VALUE "Part 2 - Select Single or Multiple Calibration Images"
      ALIGNCENTER
      END
      WID_LABEL_2 LABEL 635 184 0 0
      VALUE "Part 3 - Fetch, Display, Save Image"
      ALIGNCENTER
      END
      WID_LABEL_3 LABEL 11 39 0 0
      VALUE "Part 1 - Select/Create Input, Output Working Directories"
      ALIGNLEFT
      END
      S3_Input_Directory PUSHBUTTON 154 73 84 31
      VALUE "Select"
      ALIGNCENTER
      TOOLTIP "Click Here to set the input directory"
      ONACTIVATE "S3_Input_Directory"
      END
      S3_Output_Directory PUSHBUTTON 156 125 81 32
      VALUE "Select"
      ALIGNCENTER
      TOOLTIP "Click Here to open the directory chooser to set the output directory"
      ONACTIVATE "S3_Output_Directory"
      END
      S3_Input_dir_text TEXT 343 75 0 0
      WIDTH = 110
      HEIGHT = 1
      END
      S3_Output_dir_text TEXT 343 126 0 0
      WIDTH = 110
      HEIGHT = 1
      END
      S3_Save_On PUSHBUTTON 884 215 140 42
      VALUE "Export Image"
      ALIGNCENTER
      TOOLTIP "Click Here to Save a Processed Image"
      ONACTIVATE "S3_Save_On"
      END
      S3_Create_Input PUSHBUTTON 246 73 87 31
      VALUE "Create"
      ALIGNCENTER
      TOOLTIP "Click Here to Create a New Input Directory"
      ONACTIVATE "S3_Create_Input_On"
      END
      S3_Create_Output PUSHBUTTON 247 125 87 31
      VALUE "Create"
      ALIGNCENTER
      TOOLTIP "Click Here to Create a New Output Directory"
      ONACTIVATE "S3_Create_Output_On"
      END
      WID_LABEL_4 LABEL 34 84 0 0
      VALUE "Input Directory"
      ALIGNCENTER
      END
      WID_LABEL_5 LABEL 31 132 0 0
      VALUE "Output Directory"
      ALIGNCENTER
      END
      S3_Mask_On PUSHBUTTON 584 216 140 40
      VALUE "Mask/Trim Image"
      ALIGNCENTER
      TOOLTIP "Click Here to Trim the Image Size"
      ONACTIVATE "S3_Mask_On"
      END
      S3_Status_base BASE 519 286 413 33
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        S3_Status_Instrument_Text_Box TEXT 7 4 78 30
        NUMITEMS = 1
        ITEM "Instrum."
        WIDTH = 20
        END
        S3_Status_Camera_Text_Box TEXT 93 3 50 30
        NUMITEMS = 1
        ITEM "Cam."
        WIDTH = 20
        HEIGHT = 1
        END
        S3_Status_Spec_Mode_Text_Box TEXT 148 3 92 30
        NUMITEMS = 1
        ITEM "Spec Mode"
        WIDTH = 20
        HEIGHT = 1
        END
        S3_Status_Cal_Mode_Text_Box TEXT 245 3 46 30
        NUMITEMS = 1
        ITEM "Cal."
        WIDTH = 20
        HEIGHT = 1
        END
        S3_Status_Debug_button PUSHBUTTON 295 3 65 30
        VALUE "Debug"
        ALIGNCENTER
        TOOLTIP "Toggles Debug Listings"
        ONACTIVATE "Status_Debug_Button_On"
        END
        S3_Status_Debug_Text_Box TEXT 363 4 45 30
        NUMITEMS = 1
        ITEM "Dbg."
        WIDTH = 20
        HEIGHT = 1
        END
      END
      S3_Rotate_On PUSHBUTTON 734 216 140 40
      VALUE "Rotate Image"
      ALIGNCENTER
      GRAYED
      TOOLTIP "Click Here to Rotate a PRISM Image"
      ONACTIVATE "S3_Mask_On"
      END
    END
    Step_4 BASE 0 0 1039 329
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Step_4"
    BEGIN
      S4_Done PUSHBUTTON 945 277 76 43
      VALUE "Next"
      ALIGNCENTER
      TOOLTIP "Click Here to Move to Step 5"
      ONACTIVATE "S4_Done"
      END
      WID_LABEL_6 LABEL 18 14 0 0
      VALUE "Step 4: Find slit offset and determine  nominal dispersion equation"
      ALIGNLEFT
      END
      WID_LABEL_7 LABEL 146 59 0 0
      VALUE "Part 1 - Find Slit Offset"
      ALIGNCENTER
      END
      S4_Find_Slit_Offset PUSHBUTTON 21 92 144 26
      VALUE "Find Slit Offset"
      ALIGNCENTER
      TOOLTIP "Click Here to Locate the Central Column for a Bright Line and Determine the Offset of the Slit from Nominal"
      ONACTIVATE "S4_Find_Slit_Offset_On"
      END
      S4_Find_Slit_text_box TEXT 175 94 0 0
      WIDTH = 7
      HEIGHT = 1
      END
      WID_LABEL_8 LABEL 266 98 0 0
      VALUE "Pixels Offset"
      ALIGNLEFT
      END
      S4_disp_0_text_box TEXT 659 114 0 0
      WIDTH = 12
      HEIGHT = 1
      END
      S4_disp_0 LABEL 556 116 0 0
      VALUE "Offset Term"
      ALIGNRIGHT
      END
      WID_LABEL_9 LABEL 794 117 0 0
      VALUE "Microns"
      ALIGNLEFT
      END
      WID_LABEL_10 LABEL 795 145 0 0
      VALUE "Microns/pixel"
      ALIGNLEFT
      END
      S4_disp_1 LABEL 556 146 0 0
      VALUE "Linear Term"
      ALIGNRIGHT
      END
      S4_disp_1_text_box TEXT 659 144 0 0
      WIDTH = 12
      HEIGHT = 1
      END
      WID_LABEL_11 LABEL 795 178 0 0
      VALUE "Microns/(pixel^2)"
      ALIGNLEFT
      END
      S4_disp_2 LABEL 542 178 0 0
      VALUE "Parabolic Term"
      ALIGNRIGHT
      END
      S4_disp_2_text_box TEXT 660 174 0 0
      WIDTH = 12
      HEIGHT = 1
      END
      WID_LABEL_12 LABEL 618 75 0 0
      VALUE "Nominal Dispersion Equation"
      ALIGNCENTER
      END
      WID_LABEL_13 LABEL 111 164 0 0
      VALUE "Part 2 - Refine Dispersion Equation"
      ALIGNCENTER
      END
      S4_Refine_Dispersion PUSHBUTTON 20 194 147 26
      VALUE "Refine Dispersion"
      ALIGNCENTER
      TOOLTIP "Click Here to Fit Multiple Lines to the Row-Averaged Image Spectrum to Find the Overall 1-D Dispersion Equation"
      ONACTIVATE "S4_Refine_On"
      END
      WID_LABEL_14 LABEL 271 197 0 0
      VALUE "RMS [Pixels]"
      ALIGNLEFT
      END
      S4_Refine_text_box TEXT 176 195 0 0
      ALLEVENTS
      WIDTH = 7
      HEIGHT = 1
      END
      S4_Status_base BASE 525 287 413 33
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        S4_Status_Instrument_Text_Box TEXT 7 1 78 30
        NUMITEMS = 1
        ITEM "Instrum."
        WIDTH = 20
        HEIGHT = 1
        END
        S4_Status_Camera_Text_Box TEXT 93 1 50 30
        NUMITEMS = 1
        ITEM "Cam."
        WIDTH = 20
        HEIGHT = 1
        END
        S4_Status_Spec_Mode_Text_Box TEXT 148 1 92 30
        NUMITEMS = 1
        ITEM "Spec Mode"
        WIDTH = 20
        HEIGHT = 1
        END
        S4_Status_Cal_Mode_Text_Box TEXT 245 3 46 30
        NUMITEMS = 1
        ITEM "Cal."
        WIDTH = 20
        HEIGHT = 1
        END
        S4_Status_Debug_button PUSHBUTTON 295 3 65 30
        VALUE "Debug"
        ALIGNCENTER
        TOOLTIP "Toggles Debug Listings"
        ONACTIVATE "Status_Debug_Button_On"
        END
        S4_Status_Debug_Text_Box TEXT 363 4 45 30
        NUMITEMS = 1
        ITEM "Dbg."
        WIDTH = 20
        HEIGHT = 1
        END
      END
    END
    Step_5 BASE 0 0 1039 329
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Step_5"
    BEGIN
      S5_Done PUSHBUTTON 939 282 74 39
      VALUE "Next"
      ALIGNCENTER
      TOOLTIP "Click Here to Move to Step 6"
      ONACTIVATE "S5_Done"
      END
      WID_LABEL_15 LABEL 19 11 0 0
      VALUE "Step 5 - Compute 2D Dispersion Equation"
      ALIGNLEFT
      END
      S5_Zone_text_box TEXT 193 80 0 0
      WIDTH = 4
      HEIGHT = 1
      END
      S5_Quality_plot_box DRAW 388 7 616 25
      END
      S5_Start_Fit_On PUSHBUTTON 15 118 164 37
      VALUE "Start Line Fitting"
      ALIGNCENTER
      TOOLTIP "Click Here to Start Fitting Cal Lines to Row Zone Averaged Spectra"
      ONACTIVATE "S5_Start_Fit_On"
      END
      S5_Line_text_box TEXT 193 119 0 0
      WIDTH = 4
      HEIGHT = 1
      END
      WID_LABEL_16 LABEL 255 121 0 0
      VALUE "Line Number"
      ALIGNLEFT
      END
      WID_LABEL_17 LABEL 606 37 0 0
      VALUE "Dispersion Fit Quality by Row Zone Number"
      ALIGNCENTER
      END
      WID_LABEL_18 LABEL 256 83 0 0
      VALUE "Zones"
      ALIGNLEFT
      END
      S5_Slit_shape_plot_box DRAW 584 116 268 168
      END
      S5_Export_On PUSHBUTTON 859 176 154 44
      VALUE "Export Calib. Table"
      ALIGNCENTER
      TOOLTIP "Click Here to Save the 2-D Dispersion Equation to a File"
      ONACTIVATE "S5_Export_On"
      END
      S5_Import_On PUSHBUTTON 860 228 153 41
      VALUE "Import Calib. Table"
      ALIGNCENTER
      TOOLTIP "Click Here to Import a 2-D Dispersion Equation File"
      ONACTIVATE "S5_Import_On"
      END
      WID_LABEL_19 LABEL 206 302 0 0
      VALUE "2D Dispersion Equation from Fits"
      ALIGNCENTER
      END
      WID_LABEL_20 LABEL 32 192 0 0
      VALUE "Offset (a0) ="
      ALIGNRIGHT
      END
      S5_A0_B0_text_box TEXT 139 188 0 0
      WIDTH = 12
      HEIGHT = 1
      END
      S5_A0_B1_text_box TEXT 300 188 0 0
      WIDTH = 12
      HEIGHT = 1
      END
      S5_A0_B2_text_box TEXT 456 186 0 0
      WIDTH = 12
      HEIGHT = 1
      END
      S5_A1_B0_text_box TEXT 139 221 0 0
      WIDTH = 12
      HEIGHT = 1
      END
      S5_A2_B0_text_box TEXT 139 254 0 0
      WIDTH = 12
      HEIGHT = 1
      END
      S5_A1_B1_text_box TEXT 300 223 0 0
      WIDTH = 12
      HEIGHT = 1
      END
      S5_A2_B1_text_box TEXT 300 254 0 0
      WIDTH = 12
      HEIGHT = 1
      END
      S5_A1_B2_text_box TEXT 456 218 0 0
      WIDTH = 12
      HEIGHT = 1
      END
      S5_A2_B2_text_box TEXT 455 251 0 0
      WIDTH = 12
      HEIGHT = 1
      END
      WID_LABEL_21 LABEL 166 165 0 0
      VALUE "(Row)^0"
      ALIGNCENTER
      END
      WID_LABEL_22 LABEL 318 163 0 0
      VALUE "(Row)^1"
      ALIGNCENTER
      END
      WID_LABEL_23 LABEL 475 161 0 0
      VALUE "(Row)^2"
      ALIGNCENTER
      END
      WID_LABEL_24 LABEL 252 189 0 0
      VALUE "+"
      ALIGNCENTER
      END
      WID_LABEL_25 LABEL 252 224 0 0
      VALUE "+"
      ALIGNCENTER
      END
      WID_LABEL_26 LABEL 251 255 0 0
      VALUE "+"
      ALIGNCENTER
      END
      WID_LABEL_27 LABEL 411 191 0 0
      VALUE "+"
      ALIGNCENTER
      END
      WID_LABEL_28 LABEL 411 224 0 0
      VALUE "+"
      ALIGNCENTER
      END
      WID_LABEL_29 LABEL 412 255 0 0
      VALUE "+"
      ALIGNCENTER
      END
      WID_LABEL_30 LABEL 33 227 0 0
      VALUE "Linear (a1) ="
      ALIGNRIGHT
      END
      WID_LABEL_31 LABEL 19 255 0 0
      VALUE "Parabolic (a2) ="
      ALIGNRIGHT
      END
      WID_LABEL_32 LABEL 17 168 0 0
      VALUE "Column Terms"
      ALIGNLEFT
      END
      WID_LABEL_33 LABEL 875 125 0 0
      VALUE "Mean Slit Shape"
      ALIGNRIGHT
      END
      WID_LABEL_34 LABEL 388 34 0 0
      VALUE "Image Top"
      ALIGNLEFT
      END
      WID_LABEL_35 LABEL 937 35 0 0
      VALUE "Image Bottom"
      ALIGNRIGHT
      END
      S5_Slit_Fit_Quality_plot_box DRAW 387 58 617 23
      END
      WID_LABEL_36 LABEL 387 85 0 0
      VALUE "First Line"
      ALIGNLEFT
      END
      WID_LABEL_37 LABEL 958 84 0 0
      VALUE "Last Line"
      ALIGNRIGHT
      END
      WID_LABEL_38 LABEL 599 87 0 0
      VALUE "Slit Curvature Fit Quality by Spectral Line Number"
      ALIGNCENTER
      END
      S5_Zone_size_text_box TEXT 194 43 0 0
      EDITABLE
      ALLEVENTS
      ONINSERTCHAR "S5_Zone_size_text_box_input"
      ONINSERTSTRING "S5_Zone_size_text_box_input"
      WIDTH = 4
      HEIGHT = 1
      END
      WID_LABEL_39 LABEL 256 49 0 0
      VALUE "Rows"
      ALIGNLEFT
      END
      WID_LABEL_50 LABEL 83 46 0 0
      VALUE "Rows per Zone"
      ALIGNRIGHT
      END
      WID_LABEL_51 LABEL 103 81 0 0
      VALUE "No. Zones"
      ALIGNRIGHT
      END
      S5_Status_base BASE 517 288 413 33
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        S5_Status_Instrument_Text_Box TEXT 7 4 78 30
        NUMITEMS = 1
        ITEM "Instrum."
        WIDTH = 20
        HEIGHT = 1
        END
        S5_Status_Camera_Text_Box TEXT 93 3 50 30
        NUMITEMS = 1
        ITEM "Cam."
        WIDTH = 20
        HEIGHT = 1
        END
        S5_Status_Spec_Mode_Text_Box TEXT 148 3 92 30
        NUMITEMS = 1
        ITEM "Spec Mode"
        WIDTH = 20
        HEIGHT = 1
        END
        S5_Status_Cal_Mode_Text_Box TEXT 245 3 46 30
        NUMITEMS = 1
        ITEM "Cal."
        WIDTH = 20
        HEIGHT = 1
        END
        S5_Status_Debug_button PUSHBUTTON 295 3 65 30
        VALUE "Debug"
        ALIGNCENTER
        TOOLTIP "Toggles Debug Listings"
        ONACTIVATE "Status_Debug_Button_On"
        END
        S5_Status_Debug_Text_Box TEXT 363 4 45 30
        NUMITEMS = 1
        ITEM "Dbg."
        WIDTH = 20
        HEIGHT = 1
        END
      END
    END
    Step_6 BASE 0 0 1039 329
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Step_6"
    BEGIN
      S6_Done PUSHBUTTON 956 283 78 40
      VALUE "More!"
      ALIGNCENTER
      TOOLTIP "Click Here to Return to Summary"
      ONACTIVATE "S6_Done"
      END
      WID_LABEL_40 LABEL 10 9 0 0
      VALUE "Step 6 - Calibrate Science Image Wavelengths using 2D Dispersion Equation"
      ALIGNLEFT
      END
      S6_Select_Input_directory PUSHBUTTON 102 69 182 33
      VALUE "Select Input Directory"
      ALIGNCENTER
      TOOLTIP "Click to Select the Input Image Directory"
      ONACTIVATE "S6_Select_Input_Directory"
      END
      S6_Select_Output PUSHBUTTON 15 147 179 32
      VALUE "Select Output Directory"
      ALIGNCENTER
      TOOLTIP "Click Here to Select the Output Directory"
      ONACTIVATE "S6_Select_Output_On"
      END
      S6_Suffix_text_box TEXT 25 219 0 0
      NUMITEMS = 1
      ITEM "_Ar"
      EDITABLE
      ALLEVENTS
      ONINSERTCHAR "S6_Suffix_text_box"
      ONINSERTSTRING "S6_Suffix_text_box"
      WIDTH = 5
      HEIGHT = 1
      END
      WID_LABEL_41 LABEL 14 42 0 0
      VALUE "Part 1 - Select Input Directory of Science Images to Wavelength Calibrate"
      ALIGNLEFT
      END
      WID_LABEL_42 LABEL 15 117 0 0
      VALUE "Part 2 - Select (or Create) Output Directory for Corrected Images"
      ALIGNLEFT
      END
      WID_LABEL_43 LABEL 14 191 0 0
      VALUE "Part 3 - (Optional) Filename Suffix and Oversampling"
      ALIGNLEFT
      END
      WID_LABEL_44 LABEL 105 223 0 0
      VALUE "Suffix to Add"
      ALIGNLEFT
      END
      S6_Start_correction PUSHBUTTON 210 286 243 34
      VALUE "Start 2-D Wavelength Calibration"
      ALIGNCENTER
      TOOLTIP "Start the Process of Reading Input Images, Applying the 2-D Dispersion Equation, and Storing the Output Images"
      ONACTIVATE "S6_Start_Correction_On"
      END
      S6_Progress_bar DRAW 448 211 583 36
      END
      WID_LABEL_45 LABEL 676 186 0 0
      VALUE "Progress indicator"
      ALIGNCENTER
      END
      WID_LABEL_46 LABEL 445 256 0 0
      VALUE "First Image"
      ALIGNLEFT
      END
      WID_LABEL_47 LABEL 949 254 0 0
      VALUE "Last Image"
      ALIGNRIGHT
      END
      S6_Create_Output_directory PUSHBUTTON 202 146 182 32
      VALUE "Create Output Directory"
      ALIGNCENTER
      TOOLTIP "Click Here to Create a New Output Directory"
      ONACTIVATE "S6_Create_Output_On"
      END
      S6_Input_Directory_text_box TEXT 407 77 0 0
      WIDTH = 90
      HEIGHT = 1
      END
      S6_Output_Directory_text_box TEXT 406 148 0 0
      WIDTH = 90
      HEIGHT = 1
      END
      WID_LABEL_48 LABEL 687 53 0 0
      VALUE "Input Directory"
      ALIGNCENTER
      END
      WID_LABEL_49 LABEL 684 126 0 0
      VALUE "Output Directory"
      ALIGNCENTER
      END
      S6_Select_Images PUSHBUTTON 12 286 138 33
      VALUE "Select Images"
      ALIGNCENTER
      TOOLTIP "Click to Select the Input Images"
      ONACTIVATE "S6_Select_Images"
      END
      S6_Status_base BASE 532 289 413 33
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        S6_Status_Instrument_Text_Box TEXT 7 4 78 30
        NUMITEMS = 1
        ITEM "Instrum."
        WIDTH = 20
        HEIGHT = 1
        END
        S6_Status_Camera_Text_Box TEXT 93 3 50 30
        NUMITEMS = 1
        ITEM "Cam."
        WIDTH = 20
        HEIGHT = 1
        END
        S6_Status_Spec_Mode_Text_Box TEXT 148 3 92 30
        NUMITEMS = 1
        ITEM "Spec Mode"
        WIDTH = 20
        HEIGHT = 1
        END
        S6_Status_Cal_Mode_Text_Box TEXT 245 3 46 30
        NUMITEMS = 1
        ITEM "Cal."
        WIDTH = 20
        HEIGHT = 1
        END
        S6_Status_Debug_button PUSHBUTTON 295 3 65 30
        VALUE "Debug"
        ALIGNCENTER
        TOOLTIP "Toggles Debug Listings"
        ONACTIVATE "Status_Debug_Button_On"
        END
        S6_Status_Debug_Text_Box TEXT 363 4 45 30
        NUMITEMS = 1
        ITEM "Dbg."
        WIDTH = 20
        HEIGHT = 1
        END
      END
      S6_Oversample_text_box TEXT 221 220 0 0
      NUMITEMS = 1
      ITEM "2"
      EDITABLE
      ALLEVENTS
      ONINSERTCHAR "S6_Oversample_text_box"
      ONINSERTSTRING "S6_Oversample_text_box"
      WIDTH = 5
      HEIGHT = 1
      END
      WID_LABEL_60 LABEL 302 225 0 0
      VALUE "Oversample Factor"
      ALIGNLEFT
      END
      WID_LABEL_61 LABEL 18 263 0 0
      VALUE "Part 4 - Select Images and Start Computations"
      ALIGNLEFT
      END
    END
    Exit BASE 0 0 1039 329
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Exit"
    BEGIN
    END
  END
  base_plot DRAW 10 362 1045 308
  SCROLLWIDTH = 1025
  SCROLLHEIGHT = 308
  END
END
