;
; IDL Event Callback Procedures
; WCT_S4_3_up_plot_pop_up_eventcb
;
; Generated on: 08/09/2007 11:04.37
;
;
; Empty stub procedure used for autoloading.
;
pro WCT_S4_3_up_plot_pop_up_eventcb
end

;-----------------------------------------------------------------
pro S4_PU_Done, Event
    ;
    ;  find the root of the pop up
    ;
    PU_ID = WIDGET_INFO (Event.top, FIND_BY_UNAME="S4_PU_Done")
    ;
    ;print," in S4 PU Done, Event structure = ",Event
    ;help, Event, /struc
    ;
    ;   free the pointer created when the window was opened
    ;
    child_id = WIDGET_INFO( Event.top, /CHILD)
    WIDGET_CONTROL, child_id, GET_UVALUE=S4_ptr
    ;
    PTR_FREE, S4_ptr
    ;
    if(PU_ID ne 0) then begin
        PU_Parent_ID = WIDGET_INFO(PU_ID, /PARENT)
        ;
        WIDGET_CONTROL, PU_Parent_ID, /DESTROY
    endif
end

;-----------------------------------------------------------------
pro S4_PU_Post_Creation, wWidget, _EXTRA=S4_struct_ptr
    ;
    ;  returns key ids back to calling routine
    ;
    ;   first, find parent
    ;
    ;      S4_struct pointer should have been passed from calling routine
    ;
    S4_ptr = S4_struct_ptr.ptr
    ;help, *S4_ptr, /struct
    ;print, "S4_struct = ",*S4_ptr
    ;
    parent_id = WIDGET_INFO( wWidget, /PARENT)
    ;
    ;   get IDs from child routine's uvalue
    ;
    child_id = WIDGET_INFO( parent_id, /CHILD)
    ;print,"in post creation for S4 PU, current_id, parent_id, child_id = ",wWidget, parent_id, child_id
    ;
    ;   save pointer as uvalue for child
    ;
    WIDGET_CONTROL, child_id, SET_UVALUE=S4_ptr
    ;
    top_ID = WIDGET_INFO( parent_id, FIND_BY_UNAME="S4_PU_top_plot")
    middle_ID = WIDGET_INFO( parent_id, FIND_BY_UNAME="S4_PU_middle_plot")
    bottom_ID = WIDGET_INFO( parent_id, FIND_BY_UNAME="S4_PU_bottom_plot")
    ;
    (*S4_ptr).top_ID = top_ID
    (*S4_ptr).middle_ID = middle_ID
    (*S4_ptr).bottom_ID = bottom_ID
    (*S4_ptr).widget_ID = parent_id
    ;
    ;print, "in S4 post creation, updated all ids: top, middle, bottom, base widget = ",top_ID, middle_ID, bottom_ID, parent_id
    ;
    ;
end
