function WCT_display_image,image, window_number, BIPOLAR=bipolar
;
;   displays an image; leaving it up in designated window
;
;   bipolar switch centers mean in mid-color range - use
;   for differenced images to see up and down aspects
;
;   DPC   20060225  based on fastlook code
;
;
if(N_ELEMENTS(BIPOLAR) eq 0) then bipolar=0 else bipolar=1
if(N_ELEMENTS(MESSAGE) eq 0) then message=''
device, decomposed=0
loadct, 13, /SILENT
tvlct, 0,0,0,0
tvlct, 255, 255, 0, 1
;
first_image_flag = 0
row0 = 0
row1 = 0
col0 = 0
col1 = 0
rowsize = row1 - row0 + 1
colsize = col1 - col0 + 1
;
path = ''
image_size = size(image)
row1 = image_size[2] - 1
col1 = image_size[1] - 1
rowsize = row1 - row0 + 1
colsize = col1 - col0 + 1
;print, "in display_image: Image format = ",colsize,' x ',rowsize
small_image = fix_bad_pixels(image[round(0.2*col1):round(0.6*col1),round(0.26*row1):round(0.76*row1)])
;ind = where(small_image gt -3000 and small_image lt 100000)
ind = WHERE(small_image[*])
z = median_filtered_mean(small_image[ind])
image_mean = z[0]
image_stddev = z[1]
;print, "in display_imamge: mean, stdev = ",image_mean, image_stddev
if(bipolar eq 1) then begin
    range = 4.0
    offset = 127
endif else begin
    range = 8.0
    offset = 24
endelse
;
displ = byte(1)+bytscl((253 < (0 > (((image - image_mean) * range / (image_stddev)) + offset))),min=0,max=254,top=253)
;
wset, window_number
erase
tv, displ
;
return,z
end