pro Reset_Mask_On_Mode_Change, Event
	;
	;	resets masking limits whenever there is an instrument, camera, or slit change
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=WCT_struct, /NO_COPY
	camera = WCT_struct.camera
	instrument = WCT_struct.instrument
	slit = WCT_struct.slit
	;------------------------------------------------------------
    ;      masking information - some of this could
    ;          be collected from the user, or hardwired
    ;          --- a work still in process ----
    case instrument of
           0:    begin                 ; Mimir
              case camera of
                  0: begin          ; F/5
                       xcol = 1024   ; original sizes
                       xrow = 1026
                       ;             ; mask limits
                       case slit of
                       		1: begin 	;	tall narrow
                         		yl = 260
                         		yu = 759
                         	   end
                         	4: begin	; 	fat-eared
                         		yl = 201
                         		yu = 813	; of height 40 pixels each
                         	   end
                         	11: begin	; 	short narrow
                         		 yl = 360	; TBD
                         		 yu = 660	; TBD
                         		end
                        endcase
                         xl = 0
                         xu = 1023     ; no x masking
                    end
                  1: begin          ; F/17
                       xcol = 1024   ; original sizes
                       xrow = 1026
                       case slit of
                           	11: begin	; 	short narrow
                         		 yl = 100	; TBD
                         		 yu = 780	; TBD
                         		end
                         	else: 	begin
                         				yl = 0
                         				yu = 1025
                         			end
                        endcase
                        xl = 0
                        xu = 1023     ; no x masking
                    end
                    ;
                    ;   N.B. this will need extreme rework for sub-framing, esp LM images
                    ;
              endcase
           end
          1: begin                    ; PRISM
               end                    ;   TBD
    endcase
    ;
    WCT_struct.nrow_result = yu - yl + 1
    WCT_struct.trim_row = yl
    WCT_struct.trim_col = xl
    WCT_struct.ncol_result = xu - xl + 1
	;
	WIDGET_CONTROL, Event.top, SET_UVALUE=WCT_struct, /NO_COPY
end